mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

Derived classes of compute masks that are used in key exchange algorithms such as Optimal Asymmetric Encryption Padding (OAEP).

This class is used by implementations of key exchange algorithms only for mask generation. Application code does not use this class directly.

Represents the abstract class from which all mask generator algorithms must derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Byte[] `` `` To be added

  When overridden in a derived class, generates a mask with the specified length using the specified random seed.

  A randomly generated mask whose length is equal to the parameter.

  The random seed to use to compute the mask. The length of the generated mask in bytes.